
module inter_face_top(clk,rst,muxsel,ctrl_in,din0,din1,din2,din3,din4,din5,din6,dout);
   input 				clk,rst;
   input 	[4:0]		ctrl_in;
	input 	[7:0]		muxsel;
   input 	[7:0] 	din0,din1,din2,din3,din4,din5,din6;
   output 	[7:0] 	dout;
   logic 	[7:0] 	dmid[0:139];
   
	inter_face inter_face(clk,rst,ctrl_in,din0,din1,din2,din3,din4,din5,din6,dmid);
   
	mux140 mux140(dmid,muxsel,dout);

endmodule// inter_face_top
